---
apiVersion: storage.k8s.io/v1
kind: StorageClass
metadata:
  name: {{ gluster_provisioner_storage_class }}
  annotations:
    storageclass.kubernetes.io/is-default-class: "true"
provisioner: redhat.com/glusterfs
reclaimPolicy: {{ gluster_provisioner_reclaim_policy }}
parameters:
  cluster: {{ gluster_provisioner_cluster }}
  monitors: {{ gluster_provisioner_monitors }}
  adminId: {{ gluster_provisioner_admin_id }}
  adminSecretName: glusterfs-provisioner
  adminSecretNamespace: {{ gluster_provisioner_namespace }}
  claimRoot: {{ gluster_provisioner_claim_root }}
  deterministicNames: "{{ gluster_provisioner_deterministic_names | bool | lower }}"
